summaryrefslogtreecommitdiff
path: root/include
diff options
context:
space:
mode:
Diffstat (limited to 'include')
-rwxr-xr-xinclude/option.sh12
1 files changed, 4 insertions, 8 deletions
diff --git a/include/option.sh b/include/option.sh
index c42327d4..eea50101 100755
--- a/include/option.sh
+++ b/include/option.sh
@@ -174,7 +174,10 @@ check_project()
mktar_release()
{
- x_ insert_version_files "$1"
+ printf "%s\n" "${version}" > "${1}/version" || return 1
+ printf "%s\n" "${versiondate}" > "${1}/versiondate" || return 1
+ printf "%s\n" "${projectname}" > "${1}/projectname" || return 1
+
mktarball "$1" "${1}.tar.xz"
x_ rm -Rf "$1"
}
@@ -207,10 +210,3 @@ mksha512sum()
$err "!sha512sum \"${1}\" > \"${2}\""
) || $err "failed to create tarball checksum"
}
-
-insert_version_files()
-{
- printf "%s\n" "${version}" > "${1}/version" || return 1
- printf "%s\n" "${versiondate}" > "${1}/versiondate" || return 1
- printf "%s\n" "${projectname}" > "${1}/projectname" || return 1
-}